<?php
session_start();
error_reporting(0);
include "config/koneksi.php";
include "config/library.php";
include "config/fungsi_indotgl.php";
include "config/excel_reader.php";
include "config/fungsi_seo.php";
include "config/fungsi_thumb.php";
if (isset($_SESSION[idg])) {
  if ($_SESSION[warga] == 'INDONESIA') {
  }
  $iden = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM rb_guru where nip='$_SESSION[nips]'"));
  $nama =  $iden[nama_guru];
  $level = 'Guru';
  $foto = 'foto_pegawai/' . $iden[foto];

  $idt = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM identitas"));

  $ta = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM tahun_ajaran where aktif='Y'"));
?>
  <!DOCTYPE html>
  <html>

  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Simpodik (Sistem Informasi Manajemen Pokok Pendidikan)</title>

    <link rel="shortcut icon" href="simpo.png">
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="./assets/style.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="./assets/font-awesome-4.6.3/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="./assets/ionicons/css/ionicons.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="plugins/datatables/dataTables.bootstrap.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="plugins/iCheck/flat/blue.css">
    <!-- Morris chart -->
    <link rel="stylesheet" href="plugins/morris/morris.css">
    <!-- jvectormap -->
    <link rel="stylesheet" href="plugins/jvectormap/jquery-jvectormap-1.2.2.css">
    <!-- Date Picker -->
    <link rel="stylesheet" href="plugins/datepicker/datepicker3.css">
    <link rel="stylesheet" href="plugins/datetimepicker/bootstrap-datetimepicker.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker-bs3.css">
    <!-- Bootstrap Select -->
    <link rel="stylesheet" href="assets/bootstrap-select/css/bootstrap-select.min.css" />
    <!-- bootstrap wysihtml5 - text editor -->
    <link rel="stylesheet" href="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
    <style type="text/css">
      .files {
        position: absolute;
        z-index: 2;
        top: 0;
        left: 0;
        filter: alpha(opacity=0);
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
        opacity: 0;
        background-color: transparent;
        color: transparent;
      }
    </style>
    <script type="text/javascript" src="plugins/jQuery/jquery-1.12.3.min.js"></script>
    <script language="javascript" type="text/javascript">
      var maxAmount = 160;

      function textCounter(textField, showCountField) {
        if (textField.value.length > maxAmount) {
          textField.value = textField.value.substring(0, maxAmount);
        } else {
          showCountField.value = maxAmount - textField.value.length;
        }
      }
    </script>
    <script type="text/javascript" src="getDataCombo.js"></script>

  </head>

  <body class="hold-transition skin-yellow sidebar-mini">
    <div class="wrapper">
      <header class="main-header">
        <?php include "main-headerg.php"; ?>
      </header>

      <aside class="main-sidebar">
        <?php
        include "menu-guru.php";
        ?>
      </aside>

      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            <?php echo $judul; ?>
          </h1>
        </section>

        <section class="content">
          <?php if ($_GET[view] == 'home') {
            echo "<div class='row'>";
            include "guru/home_admin_row.php";
            echo "</div>";
          } elseif ($_GET[view] == 'jurnalgur') {

            echo "<div class='row'>";
            include "guru/journal_guru.php";
            echo "</div>";
          } elseif ($_GET[view] == 'absensiswa') {

            echo "<div class='row'>";
            include "admin/com_sease/absensi_siswa.php";
            echo "</div>";
          } elseif ($_GET[view] == 'bk') {

            echo "<div class='row'>";
            include "guru/master_pelanggaran.php";
            echo "</div>";
          } elseif ($_GET[view] == 'inventaris') {

            echo "<div class='row'>";
            include "guru/master_inventaris.php";
            echo "</div>";
          } elseif ($_GET[view] == 'inventarismasuk') {

            echo "<div class='row'>";
            include "guru/master_inventaris_masuk.php";
            echo "</div>";
          } elseif ($_GET[view] == 'inventariskeluar') {

            echo "<div class='row'>";
            include "guru/master_inventaris_keluar.php";
            echo "</div>";
          } elseif ($_GET[view] == 'inv') {

            echo "<div class='row'>";
            include "guru/master_inv.php";
            echo "</div>";
          } elseif ($_GET[view] == 'kelas') {

            echo "<div class='row'>";
            include "guru/master_kelas.php";
            echo "</div>";
          } elseif ($_GET[view] == 'lapbk') {

            echo "<div class='row'>";
            include "guru/master_laporanpelanggaran.php";
            echo "</div>";
          } elseif ($_GET[view] == 'rekapabsensiswa') {

            echo "<div class='row'>";
            include "admin/com_sease/absensi_siswa_rekap.php";
            echo "</div>";
          } elseif ($_GET[view] == 'jadwalpelajaran') {

            echo "<div class='row'>";
            include "guru/jadwalpelajaran.php";
            echo "</div>";
          } elseif ($_GET[view] == 'masterguru') {

            echo "<div class='row'>";
            include "guru/master_guru.php";
            echo "</div>";
          } elseif ($_GET[view] == 'homeguru') {

            echo "<div class='row'>";
            include "guru/home_guru.php";
            echo "</div>";
          } elseif ($_GET[view] == 'jadwalguru') {

            echo "<div class='row'>";
            include "guru/master_jadwalpelajaran_guru.php";
            echo "</div>";
          } elseif ($_GET[view] == 'absenguru') {

            echo "<div class='row'>";
            include "admin/com_sease/absensi_guru.php";
            echo "</div>";
          } elseif ($_GET[view] == 'matapelajaran') {

            echo "<div class='row'>";
            include "guru/master_matapelajaran.php";
            echo "</div>";
          }
          ?>
        </section>
      </div><!-- /.content-wrapper -->
      <footer class="main-footer">
        <?php include "footer.php"; ?>
      </footer>
    </div><!-- ./wrapper -->
    <!-- jQuery 2.1.4 -->
    <script src="plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="plugins/jQueryUI/jquery-ui.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
      $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/highcharts/js/highcharts.js"></script>
    <script src="plugins/highcharts/js/modules/data.js"></script>
    <script src="plugins/highcharts/js/modules/exporting.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="bootstrap/js/bootstrap.min.js"></script>
    <!-- DataTables -->
    <script src="plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="plugins/datatables/dataTables.bootstrap.min.js"></script>
    <!-- Morris.js charts -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>
    <script src="plugins/morris/morris.min.js"></script>
    <!-- Sparkline -->
    <script src="plugins/sparkline/jquery.sparkline.min.js"></script>
    <!-- jvectormap -->
    <script src="plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
    <script src="plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
    <!-- jQuery Knob Chart -->
    <script src="plugins/knob/jquery.knob.js"></script>
    <!-- daterangepicker -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <script src="plugins/datetimepicker/bootstrap-datetimepicker.js"></script>
    <!-- datepicker -->
    <script src="plugins/datepicker/bootstrap-datepicker.js"></script>
    <!-- Bootstrap WYSIHTML5 -->
    <script src="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>
    <!-- Slimscroll -->
    <script src="plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/app.min.js"></script>

    <script src="assets/js/script.js"></script>
    <script src="assets/app.js"></script>

    <script src="assets/bootstrap-select/js/bootstrap-select.min.js"></script>
    <script type="text/javascript">
      $(document).ready(function() {
        //tahun ajaran
        var idTahunAjaran = $("#idTahunAjaran").val();
        $.ajax({
          type: 'POST',
          url: "admin/combobox/pilihan_tahunajaran.php",
          data: {
            idTahunAjaran: idTahunAjaran
          },
          cache: false,
          success: function(msg) {
            $("#Ctahunajaran").html(msg);
          }
        });
        //kelas
        var idKelas = $('#idKelas').val();
        var tipe_kelas = $('#tipe_kelas').val();
        $.ajax({
          type: 'POST',
          url: "admin/combobox/pilihan_kelas.php",
          data: {

            idKelas: idKelas,
            tipe_kelas: tipe_kelas
          },
          cache: false,
          success: function(msg) {
            $("#Ckelas").html(msg);
          }
        });

      });
    </script>
    <script>
      $('.textarea').wysihtml5();

      $(function() {
        // datepicker plugin
        $('.date-picker').datepicker({
          autoclose: true,
          todayHighlight: true,
          format: 'yyyy-mm-dd'
        });

        $("#example1").DataTable();
        $('#example2').DataTable({
          "paging": true,
          "lengthChange": false,
          "searching": false,
          "ordering": true,
          "info": true,
          "autoWidth": false
        });

        $('#example3').DataTable({
          "paging": true,
          "lengthChange": false,
          "searching": false,
          "ordering": false,
          "info": false,
          "autoWidth": false,
          "pageLength": 200
        });

        $('#mastersiswa').DataTable({
          "paging": false,
          "lengthChange": false,
          "searching": true,
          "ordering": false,
          "info": false,
          "autoWidth": false,
          "pageLength": 200
        });

        $('#example5').DataTable({
          "paging": true,
          "lengthChange": false,
          "searching": false,
          "info": false,
          "autoWidth": false,
          "pageLength": 200,
          "order": [
            [5, "desc"]
          ]
        });
      });

      //$('.datepicker').datepicker();

      $('.datepicker').datepicker({
        format: 'yyyy-mm-dd',
      });

      $('.datetimepicker').datetimepicker({
        format: 'yyyy-mm-dd hh:ii:ss',
        weekStart: 1,
        todayBtn: 1,
        autoclose: 1
      });

      $(".harusAngka").keypress(function(e) {
        //if the letter is not digit then display error and don't type anything
        if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
          return false;
        }
      });

      $("#parent").click(function() {
        $(".child").prop("checked", this.checked);
      });

      $('.child').click(function() {
        if ($('.child:checked').length == $('.child').length) {
          $('#parent').prop('checked', true);
        } else {
          $('#parent').prop('checked', false);
        }
      });

      //hitung
      /*
      $('#hitungBayaran').keyup(function(){
      	if ($(this).val() > $("#sisa").val()){
      		alert('Anda memasukkan nilai melebihi total tagihan!');
      		$(this).val($("#sisa").val());
      	}
      });
      */

      $("#allTarif").keypress(function(e) {
        var allTarif = $("#allTarif").val();
        if (e.which == 13) {
          $("#n1").val(allTarif);
          $("#n2").val(allTarif);
          $("#n3").val(allTarif);
          $("#n4").val(allTarif);
          $("#n5").val(allTarif);
          $("#n6").val(allTarif);
          $("#n7").val(allTarif);
          $("#n8").val(allTarif);
          $("#n9").val(allTarif);
          $("#n10").val(allTarif);
          $("#n11").val(allTarif);
          $("#n12").val(allTarif);
        }
      });
      $("#allTarifBebas").keypress(function(e) {
        var allTarif = $("#allTarifBebas").val();
        if (e.which == 13) {
          $(".nTagihan").val(allTarif);
        }
      }); <
      script type = "text/javascript" >
        $(document).ready(function() {
          myGrafikMasukKeluar("<?= $ta['idTahunAjaran'] ?>");
        });
      $('#comboGrafik').change(function() {
        var idTahunAjaran = $('#comboGrafik').val();
        myGrafikMasukKeluar(idTahunAjaran);
      });

      function myGrafikMasukKeluar(idTahunAjaran) {
        document.getElementById("bar-chart").innerHTML = '&nbsp;';
        $.post("admin/grafik/data-pemasukan-pengeluaran.php?thnAjaran=" + idTahunAjaran,
          function(dataVal) {
            //BAR CHART
            var bar = new Morris.Bar({
              element: 'bar-chart',
              resize: true,
              data: dataVal,
              barColors: ['#00a65a', '#f56954'],
              xkey: 'y',
              ykeys: ['a', 'b'],
              labels: ['Pemasukan', 'Pengeluaran'],
              hideHover: 'auto'
            });
          });
      }
    </script>

    <script>
      $(function() {
        "use strict";

        //BAR CHART
        var bar = new Morris.Bar({
          element: 'bar-chart',
          resize: true,
          data: [
            <?php
            $sqlBulan = mysqli_query($conn, "SELECT * FROM bulan ORDER BY urutan ASC");
            while ($bln = mysqli_fetch_array($sqlBulan)) :
              $bulan = $bln['idBulan'];

              $ta_pisah = explode("/", $ta['nmTahunAjaran']);
              if ($bln['urutan'] <= 6) {
                $tahun = $ta_pisah[0];
              } else {
                $tahun = $ta_pisah[1];
              }

              // Hitung Pemasukan
              $totalMasuk = 0;
              $dBulananMasuk = mysqli_fetch_array(mysqli_query($conn, "SELECT SUM(jumlahBayar) AS totalMasuk FROM tagihan_bulanan 
                                                              WHERE statusBayar='1' AND month(tglBayar) = '$bulan' AND year(tglBayar)='$tahun'"));
              $totalMasuk += $dBulananMasuk['totalMasuk'];
              $dBebasMasuk = mysqli_fetch_array(mysqli_query($conn, "SELECT SUM(jumlahBayar) AS totalMasuk FROM tagihan_bebas_bayar 
                                                          WHERE month(tglBayar) = '$bulan' AND year(tglBayar)='$tahun'"));
              $totalMasuk += $dBebasMasuk['totalMasuk'];


              // Hitung Pengeluaran
              $totalKeluar = 0;
              $dJurnalKeluar = mysqli_fetch_array(mysqli_query($conn, "SELECT SUM(pengeluaran) AS totalKeluar FROM jurnal_umum WHERE month(tgl)='$bulan' AND year(tgl)='$tahun'"));
              $totalKeluar += $dJurnalKeluar['totalKeluar'];

            ?>

              {
                y: '<?= getBulan($bln[idBulan]) . ' ' . $tahun ?>',
                a: <?= $totalMasuk ?>,
                b: <?= $totalKeluar ?>
              },

            <?php
            endwhile;
            ?>
          ],
          barColors: ['#00a65a', '#f56954'],
          xkey: 'y',
          ykeys: ['a', 'b'],
          labels: ['Pemasukan', 'Pengeluaran'],
          hideHover: 'auto'
        });
      });
    </script>


  </body>

  </html>

<?php
} else {
  include "login-guru.php";
}
?>